---
name: Tokens/All tokens
slug: all-tokens
icon: IconNotes
keywords:
  - tokens
🔥🔥🔥 HEADS UP: This file is automaticially generated. Don't edit it by
  hand since your changes will be overridden next time it is generated.
  To generate a new version, run `yarn generate-tokens-docs`
---

# All tokens

View all available tokens for Polaris projects.

**Note:** This page is a work in progress, and we hope to add improvements soon.

---

<div class="token-list">

## Colors

Learn more about [our color system](/design/colors#navigation).

| Preview                                                                                                                          | CSS name                               | Value                    | Description                                                                                                                                                                                                                                       |
| -------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------- | ------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(246, 246, 247, 1);"></span>   | --p-background                         | rgba(246, 246, 247, 1)   | For use as a background color, in components such as Page and Frame backgrounds.                                                                                                                                                                  |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(241, 242, 243, 1);"></span>   | --p-background-hovered                 | rgba(241, 242, 243, 1)   | For use when an action or navigation is used on a background.                                                                                                                                                                                     |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(237, 238, 239, 1);"></span>   | --p-background-pressed                 | rgba(237, 238, 239, 1)   | For use when an action or navigation is used on a background.                                                                                                                                                                                     |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(237, 238, 239, 1);"></span>   | --p-background-selected                | rgba(237, 238, 239, 1)   | For use in the selected item in navigation                                                                                                                                                                                                        |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 255, 255, 1);"></span>   | --p-surface                            | rgba(255, 255, 255, 1)   | For use as a background color, in components such as Card, Modal, and Popover.                                                                                                                                                                    |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(228, 229, 231, 1);"></span>   | --p-surface-neutral                    | rgba(228, 229, 231, 1)   | For use as a background color in neutral badges.                                                                                                                                                                                                  |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(219, 221, 223, 1);"></span>   | --p-surface-neutral-hovered            | rgba(219, 221, 223, 1)   | For use as a hovered background color in neutral badges.                                                                                                                                                                                          |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(201, 204, 208, 1);"></span>   | --p-surface-neutral-pressed            | rgba(201, 204, 208, 1)   | For use as a pressed background color in neutral badges.                                                                                                                                                                                          |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(241, 242, 243, 1);"></span>   | --p-surface-neutral-disabled           | rgba(241, 242, 243, 1)   | For use as a disabled background color in neutral badges.                                                                                                                                                                                         |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(246, 246, 247, 1);"></span>   | --p-surface-neutral-subdued            | rgba(246, 246, 247, 1)   | For use as a background color in neutral banners.                                                                                                                                                                                                 |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(250, 251, 251, 1);"></span>   | --p-surface-subdued                    | rgba(250, 251, 251, 1)   | For use as a subdued background color, in components such as Card, Modal, and Popover.                                                                                                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(250, 251, 251, 1);"></span>   | --p-surface-disabled                   | rgba(250, 251, 251, 1)   | For use as a surface color on disabled interactive elements such as option list items and action list items when in a disabled state.                                                                                                             |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(246, 246, 247, 1);"></span>   | --p-surface-hovered                    | rgba(246, 246, 247, 1)   | For use as a surface color on interactive elements such as resource list items and action list items when in a hovered state.                                                                                                                     |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(241, 242, 243, 1);"></span>   | --p-surface-pressed                    | rgba(241, 242, 243, 1)   | For use as a surface color on interactive elements such as resource list items and action list items when in a pressed state.                                                                                                                     |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(237, 238, 239, 1);"></span>   | --p-surface-depressed                  | rgba(237, 238, 239, 1)   | For use as a surface color on interactive elements such as resource list items and action list items when in a depressed state.                                                                                                                   |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(241, 242, 243, 1);"></span>   | --p-surface-search-field               | rgba(241, 242, 243, 1)   | For use as a background color, in components on surface elements such as SearchField                                                                                                                                                              |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 0, 0, 0.5);"></span>       | --p-backdrop                           | rgba(0, 0, 0, 0.5)       | For use as the background color of the backdrop component for navigation and modal. This color has an alpha of `0.5`.                                                                                                                             |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 255, 255, 0.5);"></span> | --p-overlay                            | rgba(255, 255, 255, 0.5) | For use as the background color of elements which lay on top of surfaces to obscure their contents. This color has an alpha of `0.5`.                                                                                                             |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 0, 0, 0.5);"></span>       | --p-shadow-color-picker                | rgba(0, 0, 0, 0.5)       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(33, 43, 54, 0.32);"></span>   | --p-shadow-color-picker-dragger        | rgba(33, 43, 54, 0.32)   |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 0, 0, 0.15);"></span>      | --p-hint-from-direct-light             | rgba(0, 0, 0, 0.15)      | For use in building shadows scrollables.                                                                                                                                                                                                          |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(140, 145, 150, 1);"></span>   | --p-border                             | rgba(140, 145, 150, 1)   | For use as the default border on elements.                                                                                                                                                                                                        |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(186, 191, 195, 1);"></span>   | --p-border-neutral-subdued             | rgba(186, 191, 195, 1)   | For use as the border on banners.                                                                                                                                                                                                                 |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(153, 158, 164, 1);"></span>   | --p-border-hovered                     | rgba(153, 158, 164, 1)   | Used for borders on hovered interactive elements                                                                                                                                                                                                  |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(210, 213, 216, 1);"></span>   | --p-border-disabled                    | rgba(210, 213, 216, 1)   | Used for disabled borders on interactive elements                                                                                                                                                                                                 |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(201, 204, 207, 1);"></span>   | --p-border-subdued                     | rgba(201, 204, 207, 1)   | For use as a subdued border on elements.                                                                                                                                                                                                          |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(87, 89, 89, 1);"></span>      | --p-border-depressed                   | rgba(87, 89, 89, 1)      | For use as a border on depressed elements.                                                                                                                                                                                                        |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(174, 180, 185, 1);"></span>   | --p-border-shadow                      | rgba(174, 180, 185, 1)   | For use as an additional bottom border on elements.                                                                                                                                                                                               |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(186, 191, 196, 1);"></span>   | --p-border-shadow-subdued              | rgba(186, 191, 196, 1)   | For use as an additional, subdued bottom border on elements.                                                                                                                                                                                      |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(225, 227, 229, 1);"></span>   | --p-divider                            | rgba(225, 227, 229, 1)   | For use as a divider between elements.                                                                                                                                                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(92, 95, 98, 1);"></span>      | --p-icon                               | rgba(92, 95, 98, 1)      | For use as the fill color of icons.                                                                                                                                                                                                               |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(26, 28, 29, 1);"></span>      | --p-icon-hovered                       | rgba(26, 28, 29, 1)      | For use as the fill color of hovered icons.                                                                                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(68, 71, 74, 1);"></span>      | --p-icon-pressed                       | rgba(68, 71, 74, 1)      | For use as the fill color of pressed icons.                                                                                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(186, 190, 195, 1);"></span>   | --p-icon-disabled                      | rgba(186, 190, 195, 1)   | For use as the fill color of disabled icons.                                                                                                                                                                                                      |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(140, 145, 150, 1);"></span>   | --p-icon-subdued                       | rgba(140, 145, 150, 1)   | For use as the fill color of subdued icons.                                                                                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(32, 34, 35, 1);"></span>      | --p-text                               | rgba(32, 34, 35, 1)      | For use as a text color.                                                                                                                                                                                                                          |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(140, 145, 150, 1);"></span>   | --p-text-disabled                      | rgba(140, 145, 150, 1)   | For use as a disabled text color and as a placeholder text color.                                                                                                                                                                                 |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(109, 113, 117, 1);"></span>   | --p-text-subdued                       | rgba(109, 113, 117, 1)   | For use as a subdued text color.                                                                                                                                                                                                                  |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(44, 110, 203, 1);"></span>    | --p-interactive                        | rgba(44, 110, 203, 1)    | Used for links, plain buttons, and as the fill color for selected checkboxes and radio buttons.                                                                                                                                                   |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(189, 193, 204, 1);"></span>   | --p-interactive-disabled               | rgba(189, 193, 204, 1)   | Used for disabled links and plain buttons.                                                                                                                                                                                                        |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(31, 81, 153, 1);"></span>     | --p-interactive-hovered                | rgba(31, 81, 153, 1)     | Used for hovered links and plain buttons.                                                                                                                                                                                                         |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(16, 50, 98, 1);"></span>      | --p-interactive-pressed                | rgba(16, 50, 98, 1)      | Used for pressed links and plain buttons.                                                                                                                                                                                                         |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(69, 143, 255, 1);"></span>    | --p-focused                            | rgba(69, 143, 255, 1)    | For use in the focus ring on interactive elements.                                                                                                                                                                                                |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(242, 247, 254, 1);"></span>   | --p-surface-selected                   | rgba(242, 247, 254, 1)   | For use as a surface color in selected interactive elements, in components such as action list and resource list.                                                                                                                                 |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(237, 244, 254, 1);"></span>   | --p-surface-selected-hovered           | rgba(237, 244, 254, 1)   | For use as a surface color in selected interactive elements that are hovered, in components such as action list and resource list.                                                                                                                |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(229, 239, 253, 1);"></span>   | --p-surface-selected-pressed           | rgba(229, 239, 253, 1)   | For use as a surface color in selected interactive elements that are pressed, in components such as action list and resource list.                                                                                                                |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 255, 255, 1);"></span>   | --p-icon-on-interactive                | rgba(255, 255, 255, 1)   | For use as a fill color for icons on interactive elements.                                                                                                                                                                                        |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 255, 255, 1);"></span>   | --p-text-on-interactive                | rgba(255, 255, 255, 1)   | For use as a text color on interactive elements.                                                                                                                                                                                                  |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 255, 255, 1);"></span>   | --p-action-secondary                   | rgba(255, 255, 255, 1)   | Used for secondary buttons and tertiary buttons, as well as in form elements as a background color and pontentially other secondary surfaces.                                                                                                     |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 255, 255, 1);"></span>   | --p-action-secondary-disabled          | rgba(255, 255, 255, 1)   | Used as a disabled state for secondary buttons                                                                                                                                                                                                    |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(246, 246, 247, 1);"></span>   | --p-action-secondary-hovered           | rgba(246, 246, 247, 1)   | Used as a hovered state for secondary buttons                                                                                                                                                                                                     |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(241, 242, 243, 1);"></span>   | --p-action-secondary-pressed           | rgba(241, 242, 243, 1)   | Used as a pressed state for secondary buttons                                                                                                                                                                                                     |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(109, 113, 117, 1);"></span>   | --p-action-secondary-depressed         | rgba(109, 113, 117, 1)   | Used as a depressed state for secondary buttons                                                                                                                                                                                                   |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 128, 96, 1);"></span>      | --p-action-primary                     | rgba(0, 128, 96, 1)      | Used as the background color for primary actions, and as the fill color for icons and the text color in navigation and tabs to communicate interaction states.                                                                                    |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(241, 241, 241, 1);"></span>   | --p-action-primary-disabled            | rgba(241, 241, 241, 1)   | Used as the background color for disabled primary actions, and as the fill color for icons and the text color in navigation and tabs to communicate interaction states.                                                                           |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 110, 82, 1);"></span>      | --p-action-primary-hovered             | rgba(0, 110, 82, 1)      | Used as the background color for hovered primary actions, and as the fill color for icons and the text color in navigation and tabs to communicate interaction states.                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 94, 70, 1);"></span>       | --p-action-primary-pressed             | rgba(0, 94, 70, 1)       | Used as the background color for pressed primary actions, and as the fill color for icons and the text color in navigation and tabs to communicate interaction states.                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 61, 44, 1);"></span>       | --p-action-primary-depressed           | rgba(0, 61, 44, 1)       | Used as the background color for pressed primary actions, and as the fill color for icons and the text color in navigation and tabs to communicate interaction states.                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 255, 255, 1);"></span>   | --p-icon-on-primary                    | rgba(255, 255, 255, 1)   | For use as a fill color for icons on primary actions. Not for use in icons on navigation and tabs.                                                                                                                                                |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 255, 255, 1);"></span>   | --p-text-on-primary                    | rgba(255, 255, 255, 1)   | For use as a text color on primary actions. Not for use in text on navigation and tabs.                                                                                                                                                           |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 123, 92, 1);"></span>      | --p-text-primary                       | rgba(0, 123, 92, 1)      | For use as primary text color on background. For use in text in components such as Navigation.                                                                                                                                                    |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 108, 80, 1);"></span>      | --p-text-primary-hovered               | rgba(0, 108, 80, 1)      | For use as primary hovered text color on background. For use in text in components such as Navigation.                                                                                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 92, 68, 1);"></span>       | --p-text-primary-pressed               | rgba(0, 92, 68, 1)       | For use as primary pressed text color on background. For use in text in components such as Navigation.                                                                                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(241, 248, 245, 1);"></span>   | --p-surface-primary-selected           | rgba(241, 248, 245, 1)   | Used as a surface color to indicate selected interactive states in navigation and tabs.                                                                                                                                                           |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(179, 208, 195, 1);"></span>   | --p-surface-primary-selected-hovered   | rgba(179, 208, 195, 1)   | Used as a surface color to indicate selected interactive states that are hovered in navigation and tabs.                                                                                                                                          |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(162, 188, 176, 1);"></span>   | --p-surface-primary-selected-pressed   | rgba(162, 188, 176, 1)   | Used as a surface color to indicate selected interactive states that are pressed in navigation and tabs.                                                                                                                                          |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(253, 87, 73, 1);"></span>     | --p-border-critical                    | rgba(253, 87, 73, 1)     | For use as a border on critical components such as an outline on interactive elements in an error state.                                                                                                                                          |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(224, 179, 178, 1);"></span>   | --p-border-critical-subdued            | rgba(224, 179, 178, 1)   | For use as a border on critical components such as banners.                                                                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 167, 163, 1);"></span>   | --p-border-critical-disabled           | rgba(255, 167, 163, 1)   | For use as a disabled border on critical components such as banners, and as an outline on interactive elements in an error state.                                                                                                                 |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(215, 44, 13, 1);"></span>     | --p-icon-critical                      | rgba(215, 44, 13, 1)     | For use as an icon fill color on top of critical elements.                                                                                                                                                                                        |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(254, 211, 209, 1);"></span>   | --p-surface-critical                   | rgba(254, 211, 209, 1)   | For use as a surface color on critical elements including badges.                                                                                                                                                                                 |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 244, 244, 1);"></span>   | --p-surface-critical-subdued           | rgba(255, 244, 244, 1)   | For use as a subdued surface color on critical elements including banners.                                                                                                                                                                        |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 240, 240, 1);"></span>   | --p-surface-critical-subdued-hovered   | rgba(255, 240, 240, 1)   | For use as a surface color on critical interactive elements including action list items in a hovered state.                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 233, 232, 1);"></span>   | --p-surface-critical-subdued-pressed   | rgba(255, 233, 232, 1)   | For use as a surface color on critical interactive elements including action list items in a pressed state.                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(254, 188, 185, 1);"></span>   | --p-surface-critical-subdued-depressed | rgba(254, 188, 185, 1)   | For use as a surface color on critical interactive elements including action list items in a depressed state.                                                                                                                                     |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(215, 44, 13, 1);"></span>     | --p-text-critical                      | rgba(215, 44, 13, 1)     | For use as a text color in inert critical elements such as exception list. Not for use as a text color on banners and badges.                                                                                                                     |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(216, 44, 13, 1);"></span>     | --p-action-critical                    | rgba(216, 44, 13, 1)     | For use as the background color for destructive buttons, and as the background color for error toast messages.                                                                                                                                    |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(241, 241, 241, 1);"></span>   | --p-action-critical-disabled           | rgba(241, 241, 241, 1)   | For use as the background color for disabled destructive buttons, and as the background color for error toast messages.                                                                                                                           |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(188, 34, 0, 1);"></span>      | --p-action-critical-hovered            | rgba(188, 34, 0, 1)      | For use as the background color for hovered destructive buttons, and as the background color for error toast messages.                                                                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(162, 27, 0, 1);"></span>      | --p-action-critical-pressed            | rgba(162, 27, 0, 1)      | For use as the background color for pressed destructive buttons, and as the background color for error toast messages.                                                                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(108, 15, 0, 1);"></span>      | --p-action-critical-depressed          | rgba(108, 15, 0, 1)      | For use as the background color for depressed destructive buttons, and as the background color for error toast messages.                                                                                                                          |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 255, 255, 1);"></span>   | --p-icon-on-critical                   | rgba(255, 255, 255, 1)   | For use as a fill color for icons on critical actions.                                                                                                                                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 255, 255, 1);"></span>   | --p-text-on-critical                   | rgba(255, 255, 255, 1)   | For use as a text color on critical actions.                                                                                                                                                                                                      |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(216, 44, 13, 1);"></span>     | --p-interactive-critical               | rgba(216, 44, 13, 1)     | For use as the text color for destructive interactive elements: links, plain buttons, error state of selected checkboxes and radio buttons, as well as a text color on destructive action list items. Not for use on critical banners and badges. |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(253, 147, 141, 1);"></span>   | --p-interactive-critical-disabled      | rgba(253, 147, 141, 1)   | For use as a text color in disabled destructive plain buttons, as well as a text color on destructive action list items. Not for use on critical banners and badges.                                                                              |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(205, 41, 12, 1);"></span>     | --p-interactive-critical-hovered       | rgba(205, 41, 12, 1)     | For use as a text color in hovered destructive plain buttons, as well as a text color on destructive action list items. Not for use on critical banners and badges.                                                                               |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(103, 15, 3, 1);"></span>      | --p-interactive-critical-pressed       | rgba(103, 15, 3, 1)      | For use as a text color in pressed destructive plain buttons, as well as a text color on destructive action list items. Not for use on critical banners and badges.                                                                               |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(185, 137, 0, 1);"></span>     | --p-border-warning                     | rgba(185, 137, 0, 1)     | For use as a border on warning components such as...                                                                                                                                                                                              |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(225, 184, 120, 1);"></span>   | --p-border-warning-subdued             | rgba(225, 184, 120, 1)   | For use as a border on warning components such as banners.                                                                                                                                                                                        |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(185, 137, 0, 1);"></span>     | --p-icon-warning                       | rgba(185, 137, 0, 1)     | For use as an icon fill color on top of warning elements.                                                                                                                                                                                         |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 215, 157, 1);"></span>   | --p-surface-warning                    | rgba(255, 215, 157, 1)   | For use as a surface color on warning elements including badges.                                                                                                                                                                                  |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 245, 234, 1);"></span>   | --p-surface-warning-subdued            | rgba(255, 245, 234, 1)   | For use as a subdued surface color on warning elements including banners.                                                                                                                                                                         |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 242, 226, 1);"></span>   | --p-surface-warning-subdued-hovered    | rgba(255, 242, 226, 1)   | For use as a subdued surface color on warning elements including banners.                                                                                                                                                                         |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 235, 211, 1);"></span>   | --p-surface-warning-subdued-pressed    | rgba(255, 235, 211, 1)   | For use as a subdued surface color on warning elements including banners.                                                                                                                                                                         |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(145, 106, 0, 1);"></span>     | --p-text-warning                       | rgba(145, 106, 0, 1)     | For use as a text color in inert critical elements such as exception list. Not for use as a text color on banners and badges.                                                                                                                     |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(68, 157, 167, 1);"></span>    | --p-border-highlight                   | rgba(68, 157, 167, 1)    | For use as a border on informational components such as...                                                                                                                                                                                        |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(152, 198, 205, 1);"></span>   | --p-border-highlight-subdued           | rgba(152, 198, 205, 1)   | For use as a border on informational components such as banners.                                                                                                                                                                                  |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 160, 172, 1);"></span>     | --p-icon-highlight                     | rgba(0, 160, 172, 1)     | For use as an icon fill color on top of informational elements.                                                                                                                                                                                   |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(164, 232, 242, 1);"></span>   | --p-surface-highlight                  | rgba(164, 232, 242, 1)   | For use as a surface color on information elements including badges.                                                                                                                                                                              |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(235, 249, 252, 1);"></span>   | --p-surface-highlight-subdued          | rgba(235, 249, 252, 1)   | For use as a surface color on information elements including banners.                                                                                                                                                                             |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(228, 247, 250, 1);"></span>   | --p-surface-highlight-subdued-hovered  | rgba(228, 247, 250, 1)   | For use as a surface color on information elements including banners.                                                                                                                                                                             |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(213, 243, 248, 1);"></span>   | --p-surface-highlight-subdued-pressed  | rgba(213, 243, 248, 1)   | For use as a surface color on information elements including banners.                                                                                                                                                                             |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(52, 124, 132, 1);"></span>    | --p-text-highlight                     | rgba(52, 124, 132, 1)    | For use as a text color in inert informational elements. Not for use as a text color on banners and badges.                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 164, 124, 1);"></span>     | --p-border-success                     | rgba(0, 164, 124, 1)     | For use as a border on success components such as text inputs.                                                                                                                                                                                    |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(149, 201, 180, 1);"></span>   | --p-border-success-subdued             | rgba(149, 201, 180, 1)   | For use as a border on success components such as banners.                                                                                                                                                                                        |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 127, 95, 1);"></span>      | --p-icon-success                       | rgba(0, 127, 95, 1)      | For use as an icon fill color on top of success elements.                                                                                                                                                                                         |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(174, 233, 209, 1);"></span>   | --p-surface-success                    | rgba(174, 233, 209, 1)   | For use as a surface color on success elements including badges.                                                                                                                                                                                  |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(241, 248, 245, 1);"></span>   | --p-surface-success-subdued            | rgba(241, 248, 245, 1)   | For use as a surface color on information elements including banners.                                                                                                                                                                             |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(236, 246, 241, 1);"></span>   | --p-surface-success-subdued-hovered    | rgba(236, 246, 241, 1)   | For use as a surface color on information elements including banners.                                                                                                                                                                             |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(226, 241, 234, 1);"></span>   | --p-surface-success-subdued-pressed    | rgba(226, 241, 234, 1)   | For use as a surface color on information elements including banners.                                                                                                                                                                             |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 128, 96, 1);"></span>      | --p-text-success                       | rgba(0, 128, 96, 1)      | For use as a text color in inert success elements. Not for use as a text color on banners and badges.                                                                                                                                             |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(138, 97, 22);"></span>        | --p-icon-attention                     | rgba(138, 97, 22)        |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 234, 138);"></span>      | --p-surface-attention                  | rgba(255, 234, 138)      |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(126, 87, 0, 1);"></span>      | --p-decorative-one-icon                | rgba(126, 87, 0, 1)      | For use as a decorative icon color that is applied on a decorative surface.                                                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 201, 107, 1);"></span>   | --p-decorative-one-surface             | rgba(255, 201, 107, 1)   | For use as a decorative surface color.                                                                                                                                                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(61, 40, 0, 1);"></span>       | --p-decorative-one-text                | rgba(61, 40, 0, 1)       | For use as a decorative text color that is applied on a decorative surface.                                                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(175, 41, 78, 1);"></span>     | --p-decorative-two-icon                | rgba(175, 41, 78, 1)     | For use as a decorative icon color that is applied on a decorative surface.                                                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(255, 196, 176, 1);"></span>   | --p-decorative-two-surface             | rgba(255, 196, 176, 1)   | For use as a decorative surface color.                                                                                                                                                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(73, 11, 28, 1);"></span>      | --p-decorative-two-text                | rgba(73, 11, 28, 1)      | For use as a decorative text color that is applied on a decorative surface.                                                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 109, 65, 1);"></span>      | --p-decorative-three-icon              | rgba(0, 109, 65, 1)      | For use as a decorative icon color that is applied on a decorative surface.                                                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(146, 230, 181, 1);"></span>   | --p-decorative-three-surface           | rgba(146, 230, 181, 1)   | For use as a decorative surface color.                                                                                                                                                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 47, 25, 1);"></span>       | --p-decorative-three-text              | rgba(0, 47, 25, 1)       | For use as a decorative text color that is applied on a decorative surface.                                                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 106, 104, 1);"></span>     | --p-decorative-four-icon               | rgba(0, 106, 104, 1)     | For use as a decorative icon color that is applied on a decorative surface.                                                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(145, 224, 214, 1);"></span>   | --p-decorative-four-surface            | rgba(145, 224, 214, 1)   | For use as a decorative surface color.                                                                                                                                                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(0, 45, 45, 1);"></span>       | --p-decorative-four-text               | rgba(0, 45, 45, 1)       | For use as a decorative text color that is applied on a decorative surface.                                                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(174, 43, 76, 1);"></span>     | --p-decorative-five-icon               | rgba(174, 43, 76, 1)     | For use as a decorative icon color that is applied on a decorative surface.                                                                                                                                                                       |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(253, 201, 208, 1);"></span>   | --p-decorative-five-surface            | rgba(253, 201, 208, 1)   | For use as a decorative surface color.                                                                                                                                                                                                            |
| <span style="display: block; width: 40px; height: 40px; border-radius: 2px; background-color: rgba(79, 14, 31, 1);"></span>      | --p-decorative-five-text               | rgba(79, 14, 31, 1)      | For use as a decorative text color that is applied on a decorative surface.                                                                                                                                                                       |

---

<div class="token-list">

## Typography

Learn more about [typography](/design/typography#navigation).

| Preview                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       | CSS name                 | Value                                                                                                |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------ | ---------------------------------------------------------------------------------------------------- |
| <span style="font-size: 1.25em; font-family: -apple-system, BlinkMacSystemFont, 'San Francisco', 'Segoe UI', Roboto, 'Helvetica Neue', sans-serif;">Family</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             | --p-font-family-sans     | -apple-system, BlinkMacSystemFont, 'San Francisco', 'Segoe UI', Roboto, 'Helvetica Neue', sans-serif |
| <span style="font-size: 1.25em; font-family: ui-monospace, SFMono-Regular, 'SF Mono', Consolas, 'Liberation Mono', Menlo, monospace;">Family</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           | --p-font-family-mono     | ui-monospace, SFMono-Regular, 'SF Mono', Consolas, 'Liberation Mono', Menlo, monospace               |
| <span style="font-size: 12px;">Aa</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | --p-font-size-1          | 12px                                                                                                 |
| <span style="font-size: 13px;">Aa</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | --p-font-size-2          | 13px                                                                                                 |
| <span style="font-size: 14px;">Aa</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | --p-font-size-3          | 14px                                                                                                 |
| <span style="font-size: 15px;">Aa</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | --p-font-size-4          | 15px                                                                                                 |
| <span style="font-size: 16px;">Aa</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | --p-font-size-5          | 16px                                                                                                 |
| <span style="font-size: 17px;">Aa</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | --p-font-size-6          | 17px                                                                                                 |
| <span style="font-size: 20px;">Aa</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | --p-font-size-7          | 20px                                                                                                 |
| <span style="font-size: 21px;">Aa</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | --p-font-size-8          | 21px                                                                                                 |
| <span style="font-size: 24px;">Aa</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | --p-font-size-9          | 24px                                                                                                 |
| <span style="font-size: 26px;">Aa</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | --p-font-size-10         | 26px                                                                                                 |
| <span style="font-size: 27px;">Aa</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | --p-font-size-11         | 27px                                                                                                 |
| <span style="font-size: 28px;">Aa</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | --p-font-size-12         | 28px                                                                                                 |
| <span style="font-size: 42px;">Aa</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      | --p-font-size-13         | 42px                                                                                                 |
| <span style="font-weight: 400; font-size: 42px;">Bb</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    | --p-font-weight-regular  | 400                                                                                                  |
| <span style="font-weight: 500; font-size: 42px;">Bb</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    | --p-font-weight-medium   | 500                                                                                                  |
| <span style="font-weight: 600; font-size: 42px;">Bb</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    | --p-font-weight-semibold | 600                                                                                                  |
| <span style="font-weight: 700; font-size: 42px;">Bb</span>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    | --p-font-weight-bold     | 700                                                                                                  |
| <span style="display: flex; flex-direction: column; justify-content: space-evenly; height: 32px; width: 70px; text-align: center; color: var(--p-border);"> <span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Lorem</span> </span><span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Ipsum</span> </span></span> | --p-line-height-1        | 16px                                                                                                 |
| <span style="display: flex; flex-direction: column; justify-content: space-evenly; height: 40px; width: 70px; text-align: center; color: var(--p-border);"> <span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Lorem</span> </span><span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Ipsum</span> </span></span> | --p-line-height-2        | 20px                                                                                                 |
| <span style="display: flex; flex-direction: column; justify-content: space-evenly; height: 48px; width: 70px; text-align: center; color: var(--p-border);"> <span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Lorem</span> </span><span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Ipsum</span> </span></span> | --p-line-height-3        | 24px                                                                                                 |
| <span style="display: flex; flex-direction: column; justify-content: space-evenly; height: 56px; width: 70px; text-align: center; color: var(--p-border);"> <span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Lorem</span> </span><span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Ipsum</span> </span></span> | --p-line-height-4        | 28px                                                                                                 |
| <span style="display: flex; flex-direction: column; justify-content: space-evenly; height: 64px; width: 70px; text-align: center; color: var(--p-border);"> <span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Lorem</span> </span><span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Ipsum</span> </span></span> | --p-line-height-5        | 32px                                                                                                 |
| <span style="display: flex; flex-direction: column; justify-content: space-evenly; height: 72px; width: 70px; text-align: center; color: var(--p-border);"> <span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Lorem</span> </span><span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Ipsum</span> </span></span> | --p-line-height-6        | 36px                                                                                                 |
| <span style="display: flex; flex-direction: column; justify-content: space-evenly; height: 88px; width: 70px; text-align: center; color: var(--p-border);"> <span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Lorem</span> </span><span style="display: grid; flex: 1; align-items: center;"><span style="display: block;position: relative;line-height: 16px;"><span style="display: block; position: absolute; width: 100%; bottom: 1px; height: 2px; background: #222;"></span> Ipsum</span> </span></span> | --p-line-height-7        | 44px                                                                                                 |

---

<div class="token-list">

## Spacing

Learn more about [spacing](/design/spacing#navigation).

| Preview                                                                                                                                                                                                                                                                                                                                                                                                                    | CSS name      | Value |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------- | ----- |
| <span style="display: block; width: 100px; height: 0; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>     | --p-space-0   | 0     |
| <span style="display: block; width: 100px; height: 1px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>   | --p-space-025 | 1px   |
| <span style="display: block; width: 100px; height: 2px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>   | --p-space-05  | 2px   |
| <span style="display: block; width: 100px; height: 4px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>   | --p-space-1   | 4px   |
| <span style="display: block; width: 100px; height: 8px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>   | --p-space-2   | 8px   |
| <span style="display: block; width: 100px; height: 12px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>  | --p-space-3   | 12px  |
| <span style="display: block; width: 100px; height: 16px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>  | --p-space-4   | 16px  |
| <span style="display: block; width: 100px; height: 20px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>  | --p-space-5   | 20px  |
| <span style="display: block; width: 100px; height: 24px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>  | --p-space-6   | 24px  |
| <span style="display: block; width: 100px; height: 32px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>  | --p-space-8   | 32px  |
| <span style="display: block; width: 100px; height: 40px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>  | --p-space-10  | 40px  |
| <span style="display: block; width: 100px; height: 48px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>  | --p-space-12  | 48px  |
| <span style="display: block; width: 100px; height: 64px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>  | --p-space-16  | 64px  |
| <span style="display: block; width: 100px; height: 80px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>  | --p-space-20  | 80px  |
| <span style="display: block; width: 100px; height: 96px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span>  | --p-space-24  | 96px  |
| <span style="display: block; width: 100px; height: 112px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span> | --p-space-28  | 112px |
| <span style="display: block; width: 100px; height: 128px; background-color: #f8f8f8; background-image: linear-gradient(45deg, #dddddd 25%, transparent 25%), linear-gradient(-45deg, #dddddd 25%, transparent 25%), linear-gradient(45deg, transparent 75%, #dddddd 75%), linear-gradient(-45deg, transparent 75%, #dddddd 75%); background-size: 16px 16px; background-position: 0 0, 0 8px, 8px -8px, -8px 0px;"></span> | --p-space-32  | 128px |

---

<div class="token-list">

## Shape

| Preview                                                                                                                                        | CSS name                | Value                                                 |
| ---------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------- | ----------------------------------------------------- |
| <span style="display: block; width: 100px; height: 100px; border-radius: 2px; background-color: var(--p-action-secondary-depressed);"></span>  | --p-border-radius-05    | 2px                                                   |
| <span style="display: block; width: 100px; height: 100px; border-radius: 4px; background-color: var(--p-action-secondary-depressed);"></span>  | --p-border-radius-1     | 4px                                                   |
| <span style="display: block; width: 100px; height: 100px; border-radius: 8px; background-color: var(--p-action-secondary-depressed);"></span>  | --p-border-radius-2     | 8px                                                   |
| <span style="display: block; width: 100px; height: 100px; border-radius: 12px; background-color: var(--p-action-secondary-depressed);"></span> | --p-border-radius-3     | 12px                                                  |
| <span style="display: block; width: 100px; height: 100px; border-radius: 16px; background-color: var(--p-action-secondary-depressed);"></span> | --p-border-radius-4     | 16px                                                  |
| <span style="display: block; width: 100px; height: 100px; border-radius: 20px; background-color: var(--p-action-secondary-depressed);"></span> | --p-border-radius-5     | 20px                                                  |
| <span style="display: block; width: 100px; height: 100px; border-radius: 30px; background-color: var(--p-action-secondary-depressed);"></span> | --p-border-radius-6     | 30px                                                  |
| <span style="display: block; width: 100px; height: 100px; border-radius: 3px; background-color: var(--p-action-secondary-depressed);"></span>  | --p-border-radius-base  | 3px                                                   |
| <span style="display: block; width: 100px; height: 100px; border-radius: 6px; background-color: var(--p-action-secondary-depressed);"></span>  | --p-border-radius-large | 6px                                                   |
| <span style="display: block; width: 100px; height: 100px; border-radius: 50%; background-color: var(--p-action-secondary-depressed);"></span>  | --p-border-radius-half  | 50%                                                   |
| <span style="display: block; width: 100px; height: 1px; background-color: var(--p-action-secondary-depressed);"></span>                        | --p-border-width-1      | 1px                                                   |
| <span style="display: block; width: 100px; height: 2px; background-color: var(--p-action-secondary-depressed);"></span>                        | --p-border-width-2      | 2px                                                   |
| <span style="display: block; width: 100px; height: 3px; background-color: var(--p-action-secondary-depressed);"></span>                        | --p-border-width-3      | 3px                                                   |
| <span style="display: block; width: 100px; height: 0; border: 1px solid rgba(201, 204, 207, 1);"></span>                                       | --p-border-base         | var(--p-border-width-1) solid var(--p-border-subdued) |
| <span style="display: block; width: 100px; height: 0; border: 1px solid rgba(140, 145, 150, 1);"></span>                                       | --p-border-dark         | var(--p-border-width-1) solid var(--p-border)         |
| <span style="display: block; width: 100px; height: 0; border: 1px solid transparent;"></span>                                                  | --p-border-transparent  | var(--p-border-width-1) solid transparent             |
| <span style="display: block; width: 100px; height: 0; border: 1px solid rgba(225, 227, 229, 1);"></span>                                       | --p-border-divider      | var(--p-border-width-1) solid var(--p-divider)        |

---

<div class="token-list">

## Motion

<style>
@keyframes MotionPreview-easing {
  0% {
    transform: translate3d(0, 0, 0);
  } 100% {
    transform: translate3d(calc(100px - 20px), 0, 0);
  }
}
@keyframes MotionPreview-0ms {
      0 {
        transform: translate3d(0, 0, 0);
      }
      0%,
      100% {
        transform: translate3d(calc(100px - 20px), 0, 0);
      }
    }
@keyframes MotionPreview-50ms {
      0 {
        transform: translate3d(0, 0, 0);
      }
      1.6666666666666667%,
      100% {
        transform: translate3d(calc(100px - 20px), 0, 0);
      }
    }
@keyframes MotionPreview-100ms {
      0 {
        transform: translate3d(0, 0, 0);
      }
      3.3333333333333335%,
      100% {
        transform: translate3d(calc(100px - 20px), 0, 0);
      }
    }
@keyframes MotionPreview-150ms {
      0 {
        transform: translate3d(0, 0, 0);
      }
      5%,
      100% {
        transform: translate3d(calc(100px - 20px), 0, 0);
      }
    }
@keyframes MotionPreview-200ms {
      0 {
        transform: translate3d(0, 0, 0);
      }
      6.666666666666667%,
      100% {
        transform: translate3d(calc(100px - 20px), 0, 0);
      }
    }
@keyframes MotionPreview-250ms {
      0 {
        transform: translate3d(0, 0, 0);
      }
      8.333333333333332%,
      100% {
        transform: translate3d(calc(100px - 20px), 0, 0);
      }
    }
@keyframes MotionPreview-300ms {
      0 {
        transform: translate3d(0, 0, 0);
      }
      10%,
      100% {
        transform: translate3d(calc(100px - 20px), 0, 0);
      }
    }
@keyframes MotionPreview-350ms {
      0 {
        transform: translate3d(0, 0, 0);
      }
      11.666666666666666%,
      100% {
        transform: translate3d(calc(100px - 20px), 0, 0);
      }
    }
@keyframes MotionPreview-400ms {
      0 {
        transform: translate3d(0, 0, 0);
      }
      13.333333333333334%,
      100% {
        transform: translate3d(calc(100px - 20px), 0, 0);
      }
    }
@keyframes MotionPreview-450ms {
      0 {
        transform: translate3d(0, 0, 0);
      }
      15%,
      100% {
        transform: translate3d(calc(100px - 20px), 0, 0);
      }
    }
@keyframes MotionPreview-500ms {
      0 {
        transform: translate3d(0, 0, 0);
      }
      16.666666666666664%,
      100% {
        transform: translate3d(calc(100px - 20px), 0, 0);
      }
    }
</style>

| Preview                                                                                                                                                                                                                                                   | CSS name         | Value                            |
| --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------- | -------------------------------- |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-0ms 3000ms infinite both;"></span></span>                                            | --p-duration-0   | 0ms                              |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-50ms 3000ms infinite both;"></span></span>                                           | --p-duration-50  | 50ms                             |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-100ms 3000ms infinite both;"></span></span>                                          | --p-duration-100 | 100ms                            |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-150ms 3000ms infinite both;"></span></span>                                          | --p-duration-150 | 150ms                            |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-200ms 3000ms infinite both;"></span></span>                                          | --p-duration-200 | 200ms                            |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-250ms 3000ms infinite both;"></span></span>                                          | --p-duration-250 | 250ms                            |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-300ms 3000ms infinite both;"></span></span>                                          | --p-duration-300 | 300ms                            |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-350ms 3000ms infinite both;"></span></span>                                          | --p-duration-350 | 350ms                            |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-400ms 3000ms infinite both;"></span></span>                                          | --p-duration-400 | 400ms                            |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-450ms 3000ms infinite both;"></span></span>                                          | --p-duration-450 | 450ms                            |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-500ms 3000ms infinite both;"></span></span>                                          | --p-duration-500 | 500ms                            |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-easing 1000ms 3000ms cubic-bezier(0.25, 0.1, 0.25, 1) infinite both;"></span></span> | --p-ease         | cubic-bezier(0.25, 0.1, 0.25, 1) |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-easing 1000ms 3000ms cubic-bezier(0.42, 0, 1, 1) infinite both;"></span></span>      | --p-ease-in      | cubic-bezier(0.42, 0, 1, 1)      |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-easing 1000ms 3000ms cubic-bezier(0, 0, 0.58, 1) infinite both;"></span></span>      | --p-ease-out     | cubic-bezier(0, 0, 0.58, 1)      |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-easing 1000ms 3000ms cubic-bezier(0.42, 0, 0.58, 1) infinite both;"></span></span>   | --p-ease-in-out  | cubic-bezier(0.42, 0, 0.58, 1)   |
| <span style="display: block;"><span style="display: block; width: 20px; height: 20px; border-radius: 2px; background: var(--p-interactive); animation: MotionPreview-easing 1000ms 3000ms cubic-bezier(0, 0, 1, 1) infinite both;"></span></span>         | --p-linear       | cubic-bezier(0, 0, 1, 1)         |

---

<div class="token-list">

## Depth

| Preview                                                                                                                                                                                                | CSS name                         | Value                                                                    |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | -------------------------------- | ------------------------------------------------------------------------ |
| <span style="display: inline-block; width: 100px; height: 100px; background: white; box-shadow: 0 0 0 0 transparent; border-radius: 2px;"></span>                                                      | --p-shadow-transparent           | 0 0 0 0 transparent                                                      |
| <span style="display: inline-block; width: 100px; height: 100px; background: white; box-shadow: 0 1px 0 0 rgba(22, 29, 37, 0.05); border-radius: 2px;"></span>                                         | --p-shadow-faint                 | 0 1px 0 0 rgba(22, 29, 37, 0.05)                                         |
| <span style="display: inline-block; width: 100px; height: 100px; background: white; box-shadow: 0 0 0 1px rgba(63, 63, 68, 0.05), 0 1px 3px 0 rgba(63, 63, 68, 0.15); border-radius: 2px;"></span>     | --p-shadow-base                  | 0 0 0 1px rgba(63, 63, 68, 0.05), 0 1px 3px 0 rgba(63, 63, 68, 0.15)     |
| <span style="display: inline-block; width: 100px; height: 100px; background: white; box-shadow: 0 0 0 1px rgba(6, 44, 82, 0.1), 0 2px 16px rgba(33, 43, 54, 0.08); border-radius: 2px;"></span>        | --p-shadow-deep                  | 0 0 0 1px rgba(6, 44, 82, 0.1), 0 2px 16px rgba(33, 43, 54, 0.08)        |
| <span style="display: inline-block; width: 100px; height: 100px; background: white; box-shadow: 0 1px 0 rgba(0, 0, 0, 0.05); border-radius: 2px;"></span>                                              | --p-shadow-button                | 0 1px 0 rgba(0, 0, 0, 0.05)                                              |
| <span style="display: inline-block; width: 100px; height: 100px; background: white; box-shadow: 0 2px 2px -1px rgba(0, 0, 0, 0.15); border-radius: 2px;"></span>                                       | --p-shadow-top-bar               | 0 2px 2px -1px rgba(0, 0, 0, 0.15)                                       |
| <span style="display: inline-block; width: 100px; height: 100px; background: white; box-shadow: 0 0 5px rgba(23, 24, 24, 0.05), 0 1px 2px rgba(0, 0, 0, 0.15); border-radius: 2px;"></span>            | --p-shadow-card                  | 0 0 5px rgba(23, 24, 24, 0.05), 0 1px 2px rgba(0, 0, 0, 0.15)            |
| <span style="display: inline-block; width: 100px; height: 100px; background: white; box-shadow: -1px 0 20px rgba(23, 24, 24, 0.05), 0 1px 5px rgba(0, 0, 0, 0.15); border-radius: 2px;"></span>        | --p-shadow-popover               | -1px 0 20px rgba(23, 24, 24, 0.05), 0 1px 5px rgba(0, 0, 0, 0.15)        |
| <span style="display: inline-block; width: 100px; height: 100px; background: white; box-shadow: 0 31px 41px 0 rgba(32, 42, 53, 0.2), 0 2px 16px 0 rgba(32, 42, 54, 0.08); border-radius: 2px;"></span> | --p-shadow-layer                 | 0 31px 41px 0 rgba(32, 42, 53, 0.2), 0 2px 16px 0 rgba(32, 42, 54, 0.08) |
| <span style="display: inline-block; width: 100px; height: 100px; background: white; box-shadow: 0 26px 80px rgba(0, 0, 0, 0.2), 0 0px 1px rgba(0, 0, 0, 0.2); border-radius: 2px;"></span>             | --p-shadow-modal                 | 0 26px 80px rgba(0, 0, 0, 0.2), 0 0px 1px rgba(0, 0, 0, 0.2)             |
| <span style="display: inline-block; width: 100px; height: 100px; background: white; box-shadow: inset 0 -1px 0 rgba(0, 0, 0, 0.2); border-radius: 2px;"></span>                                        | --p-shadows-inset-button         | inset 0 -1px 0 rgba(0, 0, 0, 0.2)                                        |
| <span style="display: inline-block; width: 100px; height: 100px; background: white; box-shadow: inset 0 1px 0 rgba(0, 0, 0, 0.15); border-radius: 2px;"></span>                                        | --p-shadows-inset-button-pressed | inset 0 1px 0 rgba(0, 0, 0, 0.15)                                        |

---

<div class="token-list">

## Z-index

| Preview                                                                   | CSS name | Value |
| ------------------------------------------------------------------------- | -------- | ----- |
| <span style="display: inline-block; width: 100px; height: 100px;"></span> | --p-z-1  | 100   |
| <span style="display: inline-block; width: 100px; height: 100px;"></span> | --p-z-2  | 400   |
| <span style="display: inline-block; width: 100px; height: 100px;"></span> | --p-z-3  | 510   |
| <span style="display: inline-block; width: 100px; height: 100px;"></span> | --p-z-4  | 512   |
| <span style="display: inline-block; width: 100px; height: 100px;"></span> | --p-z-5  | 513   |
| <span style="display: inline-block; width: 100px; height: 100px;"></span> | --p-z-6  | 514   |
| <span style="display: inline-block; width: 100px; height: 100px;"></span> | --p-z-7  | 515   |
| <span style="display: inline-block; width: 100px; height: 100px;"></span> | --p-z-8  | 516   |
| <span style="display: inline-block; width: 100px; height: 100px;"></span> | --p-z-9  | 517   |
| <span style="display: inline-block; width: 100px; height: 100px;"></span> | --p-z-10 | 518   |
| <span style="display: inline-block; width: 100px; height: 100px;"></span> | --p-z-11 | 519   |
| <span style="display: inline-block; width: 100px; height: 100px;"></span> | --p-z-12 | 520   |
